﻿/* Import fonts */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@400&family=Plus+Jakarta+Sans:wght@700;800&display=swap');

/* General Reset and Base Styles */
body, html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

.custom-heading-style {
    font-family: 'Lato', sans-serif;
    font-weight: 900; /* Extra bold */
    font-size: 4rem; /* Responsive font size */
}

    .custom-heading-style small {
        font-size: 2rem; /* Responsive font size */
    }

.extrabold {
    color: #1AD684;
}

.custom-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1.25rem;
    font-family: 'Lato', sans-serif;
    font-size: 1rem;
    font-weight: 400;
    color: #ffffff;
    border: none;
    border-radius: 0.5rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
    gap: 0.5rem;
    width: 100%;
    max-width: 22rem;
    height: auto;
}

    .custom-button .icon-left, .custom-button .icon-right {
        font-size: 1.25rem;
    }

    .custom-button .button-text {
        flex: 1;
        text-align: center;
    }

.custom-button-right {
    background-color: #1D52B3;
}

    .custom-button-right:hover {
        background-color: #143B7D;
    }

.custom-button-left {
    background-color: #35A675;
}

    .custom-button-left:hover {
        background-color: #287C57;
    }

/* Logo Styles */
.logo-container img {
    max-width: 7%;
    height: auto;
}

@media (max-width: 1200px) {
    .logo-container img {
        max-width: 14%; /* Increase max-width */
    }
}

@media (max-width: 600px) {
    .logo-container img {
        max-width: 20%; /* Increase max-width */
    }
}

.imgposition {
    margin: 1.5rem 5%;
}

/* Typography for Sections */
.section .title {
    font-family: 'Plus Jakarta Sans';
    font-size: 2rem; /* Responsive font size */
    font-weight: 800;
    color: #2456BC;
    margin-bottom: 2.5rem;
}

.section .subtitle {
    font-family: 'Plus Jakarta Sans';
    font-size: 2.5rem; /* Responsive font size */
    font-weight: 700;
    color: #333333;
    margin-bottom: 2rem;
}

.section .description {
    font-family: 'Lato', sans-serif;
    font-size: 1rem; /* Responsive font size */
    font-weight: 400;
    color: black;
    margin-bottom: 2rem;
}

/* Layout Adjustments */
.left-dil, .right-dil {
    padding: 1rem;
}

.left-img, .right-text {
    padding: 0;
}

.left-text {
    margin-left: 0;
}

.right-dil {
    padding-left: 1rem;
}



/* Footer */
.home-footer-wrap {
    background-image: url(/images/home-footer.png);
    padding: 2rem;
    background-repeat: no-repeat;
    background-size: cover;
}

    .home-footer-wrap ul {
        list-style: none;
        padding: 0;
        margin-top: 1.5rem;
    }

    .home-footer-wrap li {
        margin-bottom: 0.625rem;
    }

        .home-footer-wrap li a {
            text-decoration: none;
            color: #415C7C;
        }

            .home-footer-wrap li a:hover {
                color: #678EBC;
            }

/* Callout Boxes */
.box-wrap {
    width: 100%;
    max-width: calc(50% - 20px);
    background-color: #fff;
    padding: 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    border-radius: 0.3125rem;
    overflow: hidden;
    margin-bottom: 1rem;
}

.box-img {
    min-height: 19.375rem;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
}

.box-img-content {
    padding: 1.5625rem 2.5rem;
    color: #fff;
}

    .box-img-content h3 {
        font-size: 2.25rem; /* Responsive font size */
        margin-bottom: 0.625rem;
    }

    .box-img-content p {
        font-size: 1rem; /* Responsive font size */
        font-weight: 500;
    }

.bottom-content {
    padding: 1.5625rem 2.8125rem;
}

    .bottom-content ul {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        list-style: disc;
        padding: 0;
    }

        .bottom-content ul li {
            font-size: 1rem; /* Responsive font size */
            margin: 0.3125rem 0;
            width: calc(50% - 20px);
        }

/* Responsive Typography */
@media (max-width: 768px) {
    .custom-heading-style {
        font-size: 3rem;
    }

        .custom-heading-style small {
            font-size: 1.5rem;
        }

    .section .title {
        font-size: 1.5rem;
    }

    .section .subtitle {
        font-size: 2rem;
    }

    .section .description {
        font-size: 0.875rem;
    }

    .search-wrapper .search-btn {
        width: 50%;
    }
}

@media (max-width: 576px) {
    .custom-heading-style {
        font-size: 2rem;
    }

        .custom-heading-style small {
            font-size: 1.25rem;
        }

    .section .title {
        font-size: 1.25rem;
    }

    .section .subtitle {
        font-size: 1.5rem;
    }

    .section .description {
        font-size: 0.75rem;
    }

    .search-wrapper .search-btn {
        font-size: 0.875rem;
    }
}
